﻿Write-Output "--------------------Starting Config - Configuring Explorer Experience Script ---------------------------------"
Write-Output ""
#Remove WindowsDefender from Run
if ((Get-Item -Path 'HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Run').getValue('WindowsDefender')) 
    {
    Remove-ItemProperty -Path 'HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Run' -Name 'WindowsDefender'
    Write-Output "Removed WindowsDefender from HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Run"
    }
else {Write-Output "WindowsDefender not found in HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Run"}

#Remove SecurityHealth from Run
if ((Get-Item -Path 'HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Run').getValue('SecurityHealth')) 
    {
    Remove-ItemProperty -Path 'HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Run' -Name 'SecurityHealth'
    Write-Output "Removed SecurityHealth from HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Run"
    }
else {Write-Output "SecurityHealth not found in HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Run"}

#Disable Consumer Experience - DisableWindowsConsumerFeatures 
if (((Get-Item -Path 'HKLM:\SOFTWARE\Policies\Microsoft\Windows\CloudContent').getValue('DisableWindowsConsumerFeatures')) -ne "1")
    {
    Set-ItemProperty -Path 'HKLM:\SOFTWARE\Policies\Microsoft\Windows\CloudContent' -Name 'DisableWindowsConsumerFeatures' -Value "1" 
    Write-Output "Set DisableWindowsConsumerFeatures in  HKLM:\SOFTWARE\Policies\Microsoft\Windows\CloudContent to Value 1"
    }
else {Write-Output  "DisableWindowsConsumerFeatures in  HKLM:\SOFTWARE\Policies\Microsoft\Windows\CloudContent already set to Value 1"}

#Disable Consumer Experience - DisableSoftLanding
if (((Get-Item -Path 'HKLM:\SOFTWARE\Policies\Microsoft\Windows\CloudContent').getValue('DisableSoftLanding')) -ne "1")
    {
    Set-ItemProperty -Path 'HKLM:\SOFTWARE\Policies\Microsoft\Windows\CloudContent' -Name 'DisableWindowsConsumerFeatures' -Value "1" 
    Write-Output "Set DisableSoftLanding in  HKLM:\SOFTWARE\Policies\Microsoft\Windows\CloudContent to Value 1"
    }
else {Write-Output  "DisableSoftLanding in  HKLM:\SOFTWARE\Policies\Microsoft\Windows\CloudContent already set to Value 1"}

#Remove Video Folder in This PC 
if (Test-Path -Path 'HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\FolderDescriptions\{35286a68-3c57-41a1-bbb1-0eae73d76c95}\PropertyBag'){
    if (((Get-Item -Path 'HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\FolderDescriptions\{35286a68-3c57-41a1-bbb1-0eae73d76c95}\PropertyBag').getValue('ThisPCPolicy')) -ne "Hide")
        {
        Set-ItemProperty -Path 'HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\FolderDescriptions\{35286a68-3c57-41a1-bbb1-0eae73d76c95}\PropertyBag' -Name 'ThisPCPolicy' -Value "Hide" 
        Write-Output "Updated Registry to Remove Video Folder in This PC"
        }
    else {Write-Output  "Registry to Remove Video Folder in This PC already set"}
    }
else{Write-Output  "Registry to Remove Video Folder in This PC does NOT exist"}

#Remove Video Folder in This PC (Wow6432Node)
if (Test-Path -Path 'HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Explorer\FolderDescriptions\{35286a68-3c57-41a1-bbb1-0eae73d76c95}\PropertyBag'){
    if (((Get-Item -Path 'HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Explorer\FolderDescriptions\{35286a68-3c57-41a1-bbb1-0eae73d76c95}\PropertyBag').getValue('ThisPCPolicy')) -ne "Hide")
        {
        Set-ItemProperty -Path 'HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Explorer\FolderDescriptions\{35286a68-3c57-41a1-bbb1-0eae73d76c95}\PropertyBag' -Name 'ThisPCPolicy' -Value "Hide" 
        Write-Output "Updated Registry (Wow6432Node) to Remove Video Folder in This PC"
        }
    else {Write-Output  "Registry (Wow6432Node) to Remove Video Folder in This PC already set"}
    }
else{Write-Output  "Registry (Wow6432Node) to Remove Video Folder in This PC does NOT exist"}

#Remove Music Folder in This PC
if (Test-Path -Path 'HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\FolderDescriptions\{a0c69a99-21c8-4671-8703-7934162fcf1d}\PropertyBag'){ 
    if (((Get-Item -Path 'HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\FolderDescriptions\{a0c69a99-21c8-4671-8703-7934162fcf1d}\PropertyBag').getValue('ThisPCPolicy')) -ne "Hide")
        {
        Set-ItemProperty -Path 'HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\FolderDescriptions\{a0c69a99-21c8-4671-8703-7934162fcf1d}\PropertyBag' -Name 'ThisPCPolicy' -Value "Hide" 
        Write-Output "Updated Registry to Remove Music Folder in This PC"
        }
    else {Write-Output  "Registry to Remove Music Folder in This PC already set"}
    }
else{Write-Output  "Registry to Remove Music Folder in This PC does NOT exist"}


#Remove Music Folder in This PC (Wow6432Node)
if (Test-Path -Path 'HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Explorer\FolderDescriptions\{a0c69a99-21c8-4671-8703-7934162fcf1d}\PropertyBag'){ 
    if (((Get-Item -Path 'HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Explorer\FolderDescriptions\{a0c69a99-21c8-4671-8703-7934162fcf1d}\PropertyBag').getValue('ThisPCPolicy')) -ne "Hide")
        {
        Set-ItemProperty -Path 'HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Explorer\FolderDescriptions\{a0c69a99-21c8-4671-8703-7934162fcf1d}\PropertyBag' -Name 'ThisPCPolicy' -Value "Hide" 
        Write-Output "Updated Registry (Wow6432Node) to Remove Music Folder in This PC"
        }
    else {Write-Output  "Registry (Wow6432Node) to Remove Music Folder in This PC already set"}
    }
else{Write-Output  "Registry (Wow6432Node) to Remove Music Folder in This PC does NOT exist"}

#Remove 3D Object Folder in This PC
if (Test-Path -Path 'HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\FolderDescriptions\{31C0DD25-9439-4F12-BF41-7FF4EDA38722}\PropertyBag'){ 
    if (((Get-Item -Path 'HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\FolderDescriptions\{31C0DD25-9439-4F12-BF41-7FF4EDA38722}\PropertyBag').getValue('ThisPCPolicy')) -ne "Hide")
        {
        Set-ItemProperty -Path 'HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\FolderDescriptions\{31C0DD25-9439-4F12-BF41-7FF4EDA38722}\PropertyBag' -Name 'ThisPCPolicy' -Value "Hide" 
        Write-Output "Updated Registry to Remove 3D Object Folder in This PC"
        }
    else {Write-Output  "Registry to Remove 3D Object Folder in This PC already set"}
    }
else{Write-Output  "Registry to Remove 3D Object Folder in This PC does NOT exist"}

#Remove 3D Object Folder in This PC (Wow6432Node)
if (Test-Path -Path 'HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Explorer\FolderDescriptions\{31C0DD25-9439-4F12-BF41-7FF4EDA38722}\PropertyBag'){
    if (((Get-Item -Path 'HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Explorer\FolderDescriptions\{31C0DD25-9439-4F12-BF41-7FF4EDA38722}\PropertyBag').getValue('ThisPCPolicy')) -ne "Hide")
        {
        Set-ItemProperty -Path 'HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Explorer\FolderDescriptions\{31C0DD25-9439-4F12-BF41-7FF4EDA38722}\PropertyBag' -Name 'ThisPCPolicy' -Value "Hide" 
        Write-Output "Updated Registry (Wow6432Node) to Remove Video Folder in This PC"
        }
    else {Write-Output  "Registry (Wow6432Node) to Remove 3D Object Folder in This PC already set"}
    }
else{Write-Output  "Registry (Wow6432Node) to Remove 3D Object Folder in This PC does NOT exist"}

#Enable Run As Different User
    if (((Get-Item -Path 'HKLM:\SOFTWARE\Policies\Microsoft\Windows\Explorer').getValue('ShowRunasDifferentuserinStart')) -ne 1)
        {
        Set-ItemProperty -Path 'HKLM:\SOFTWARE\Policies\Microsoft\Windows\Explorer' -Name 'ShowRunasDifferentuserinStart' -Value 1
        Write-Output "Enable Run As Different User via Registry Value"
        }
    else {Write-Output  "Registry value to Enable Run As Different User already set"}

#Disable Fast Start Up
    if (((Get-Item -Path 'HKLM:\SYSTEM\CurrentControlSet\Control\Session Manager\Power').getValue('HiberbootEnabled')) -ne 0)
        {
        Set-ItemProperty -Path 'HKLM:\SYSTEM\CurrentControlSet\Control\Session Manager\Power' -Name 'HiberbootEnabled' -Value 0
        Write-Output "Disabled Fast Start Up via Registry Value"
        }
    else {Write-Output  "Registry value to Disable Fast Start Up already set"}

Write-Output ""
Write-Output "--------------------Finished Config - Configuring Explorer Experience Script ---------------------------------"
